Package net.dona.doip

## Class DoipConstants

- java.lang.Object
- - net.dona.doip.DoipConstants

-     public class DoipConstants
      extends java.lang.Object

  Constants useful in processing DOIP messages.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `MESSAGE_ATT` |
    `static java.lang.String` | `OP_CREATE` |
    `static java.lang.String` | `OP_DELETE` |
    `static java.lang.String` | `OP_HELLO` |
    `static java.lang.String` | `OP_LIST_OPERATIONS` |
    `static java.lang.String` | `OP_RETRIEVE` |
    `static java.lang.String` | `OP_SEARCH` |
    `static java.lang.String` | `OP_UPDATE` |
    `static java.lang.String` | `STATUS_BAD_REQUEST` |
    `static java.lang.String` | `STATUS_CONFLICT` |
    `static java.lang.String` | `STATUS_DECLINED` |
    `static java.lang.String` | `STATUS_ERROR` |
    `static java.lang.String` | `STATUS_FORBIDDEN` |
    `static java.lang.String` | `STATUS_NOT_FOUND` |
    `static java.lang.String` | `STATUS_OK` |
    `static java.lang.String` | `STATUS_UNAUTHENTICATED` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DoipConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_OK

          public static final java.lang.String STATUS_OK

      See Also:
        Constant Field Values

    - #### STATUS_BAD_REQUEST

          public static final java.lang.String STATUS_BAD_REQUEST

      See Also:
        Constant Field Values

    - #### STATUS_UNAUTHENTICATED

          public static final java.lang.String STATUS_UNAUTHENTICATED

      See Also:
        Constant Field Values

    - #### STATUS_FORBIDDEN

          public static final java.lang.String STATUS_FORBIDDEN

      See Also:
        Constant Field Values

    - #### STATUS_NOT_FOUND

          public static final java.lang.String STATUS_NOT_FOUND

      See Also:
        Constant Field Values

    - #### STATUS_CONFLICT

          public static final java.lang.String STATUS_CONFLICT

      See Also:
        Constant Field Values

    - #### STATUS_DECLINED

          public static final java.lang.String STATUS_DECLINED

      See Also:
        Constant Field Values

    - #### STATUS_ERROR

          public static final java.lang.String STATUS_ERROR

      See Also:
        Constant Field Values

    - #### OP_HELLO

          public static final java.lang.String OP_HELLO

      See Also:
        Constant Field Values

    - #### OP_LIST_OPERATIONS

          public static final java.lang.String OP_LIST_OPERATIONS

      See Also:
        Constant Field Values

    - #### OP_CREATE

          public static final java.lang.String OP_CREATE

      See Also:
        Constant Field Values

    - #### OP_RETRIEVE

          public static final java.lang.String OP_RETRIEVE

      See Also:
        Constant Field Values

    - #### OP_UPDATE

          public static final java.lang.String OP_UPDATE

      See Also:
        Constant Field Values

    - #### OP_DELETE

          public static final java.lang.String OP_DELETE

      See Also:
        Constant Field Values

    - #### OP_SEARCH

          public static final java.lang.String OP_SEARCH

      See Also:
        Constant Field Values

    - #### MESSAGE_ATT

          public static final java.lang.String MESSAGE_ATT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DoipConstants

          public DoipConstants()